Changes LXDVDRIP
================

Version 1.60 / 22.04.06:
- Backup incl. menu of the Maintitle without additional tools.
  Simply call "lxdvdrip -st=vamps_menu". The Maintitle incl. Menu, selected
  Audio- and all Subpicturetracks will be saved.
  At the moment this Function is experimental. In some cases your DVD
  Player dont play this DVD. In this case try to set default menu language 
  in player setup to original or english.
- Start Kaffeine or Totem as Previewplayer with DVD-Structure.  
- New Parameter "multicopy=" in lxdvdrip.conf (Commandline: "-mc=").
  Value "1": Program asks you for next DVDR after each Copy.
  Value "0": Only one DVDR, then program ends.
- Vamps: 
   - More exactly calculation of requant factor
     (vamps -E factor -S source_stream_size -i injection_file).  
   - Rip into file: Output from statistic infos (Cell, Size).
- GCC 4.x: Fix compiler warnings.
- New Parameter "groesse_dvd=" in "lxdvdrip.conf". If used
  Streamtool works very exactly, you can set this parameter near 
  raw Capacity. Default is 4.6 GB instead of 4.7 GB (1000er Base).
  
Version 1.52 / 22.03.06:
- Copy-mode: create TEMP-files in TEMPDIR, else if program started in 
  another directory.
- Changes / Bugfixes with Vamps as streamtool:
  - Multi Angle Support.
  - Vamps updated to Version 0.99.1.
  - play_cell now ignores read-errors.
  - New Vamps function: Parameter "-p" (preserve_audio) and 
    "-u" (preserve_subpictures) for preserving Track-IDs.
  - Vamps will be started from lxdvdrip with these parameters,
    if all Audio- und Subpicture-tracks are copied 
    ("lxdvdrip -st=copy").
  - Better performance: vamps now uses "tc_memcpy" from transcode
    package.    
- Skip dummy-subpictures in selection-list.
- Patch dvdwizard-files to Version 0.42c).    

Version 1.51 / 30.12.05:
- Changes / Bugfixes with Vamps as streamtool:
  - Support for videoattributes (16x9/pal/nopanscan).
  - Set PCM for LPCM-Audio in XML for dvdauthor.
  - Testrip with vamps instead of transcode, if vamps is used 
    (lxdvdrip -f=-1 -st=vamps).
  - Backup all Subtitles with "lxdvdrip -st=vamps -u=a". You must patch 
    dvdauthor with "dvdvob.c" (included in this archive). 
  - Vamps Update: No break at unknown stream-ids.    
- Check count audio tracks with tcprobe.
- Testrip with transcode (lxdvdrip -f=-1):
  use buffer-command like "transcode parallel",
  tcmplex as Default-Multiplexer (if installed).
- lxdvdrip.conf: mplex as default-multiplexer.  
- Bugfix burning-process: If parameter "wait-burn=0", cancel after
  first backup.

Version 1.50 / 18.12.05:
- Fix for make Problems (Fedora Core 4, gcc 4).
- Vamps: Update for MPEG Audio from vamps 0.98 integrated, 
  requant-modul new. "play_cell" from vamps-0.98 integrated.
- Vamps as streamtool (-st=vamps) insted of Streamdvd.
  There isnt a new Version from Streamdvd since over a year, Streamdvd doesnt support 
  Subtitles. Vamps is very fast and support Subtitles.
  The Ripping is done by "play_cell". Vamps and play_cell are in the subdir "vamps"
  from this archive.
- Now vamps is builded and installed by "make" of lxdvdrip, too.  
- Executable Files of vamps renamed from/to:
  "vamps"     => "vamps_lxdvdrip"
  "play_cell" => "play_cell_lxdvdrip"
- Burning can be repeated (more than one backup possible).
- Source-integration of streamanalyze as a function of lxdvdrip 
  for calculation of requant-factor, no extra installation needed.

Version 1.47 / 01.10.05:
- Eject DVDR after growisofs.
- Bugfix: Calculate Factor with lxdvdrip-Method, if streamanalyze fails.
- Bugfix: Recognition of titles without chapters by dvdwizard call.

Version 1.46 / 01.06.05:
- Create all temp-files in tmp-Dir named in Configfile.
- Add DVD Name to movie directory (/tmp/film-dvd/Name_DVD).
- Vamps: mpeg2 Audio (Patch from k9copy).
- Support for vobcopy (http://lpn.rnbhq.org/projects/c/c.shtml) as an 
  Alternative   to dvdbackup for DVD5=>DVD5 Backup. If you want to use it, 
  please set "dvdbackup_name=vobcopy" in Config File.
- Play Sound after ripping and burning ("playsound=1" in Configfile).
- dvdwizard: Italian Menu.
- Multi Angle Support (lxdvdrip -angle=x) (Idea from Michael Lipka).
- Bugfix: dvdbackup-Call without Parameter "-n" for DVDs with no Volume-ID.

Version 1.45 / 05.05.05:
- English Man-Page ("man lxdvdrip").
- New Document "Packages" with Links to binary Packages (RPM/Deb/...).
- Patch for UDFFindFile/libdvdread (Christian Nolte).
- Check rights before fopen in "/tmp".
- Bugfix: Call mplex with Parameter "-M" (protect against the Message 
  "needs to split Output").

Version 1.44 / 23.04.05:
- Create ISO-Image with Volume-ID (lxdvdrip.conf: "brennprogramm=5).

Version 1.43 / 09.04.05:
- High Qualitymode with AC3-Audio: The new Addon "lxac3scan" is now integrated
  for correct Audio-Stream to Multiplexer. Program is build and installed 
  by compiling lxdvdrip.
- Changed Creation of Palettefile (for Subpictures).
- Vamps Version changed to 0.97 (http://sourceforge.net/projects/vamps).
- (part)copy-Mode: Support for dvdauthor-0.6.12 (alpha).
- dvdwizard-Files now support ImageMagick 6.x.
- Now "~" for tmp- and movie-Directory is possible.
- Partcopy/Chapter supports now dvdauthor >= 0.6.11.
- Support for Forced Subtitles (lxdvdrip -u=f, transcode parallel).
- Links actualized in README (Transcode, libdvdread).
- Transcode testrip (lxdvdrip -f=-1) with mplex/lxac3scan).

Version 1.42 / 19.02.05:
- Bugfix for gcc 2.95.
- vamps: Patch for Error "unknown Stream-ID".
- Transcode parallel: Instead of "buffer" use "mbuffer" or "bfr" possible
  (Setup with Parameter "buffer_name=...").
- FreeBSD Patch from Ulrich Spoerlein.
- NTSC DVD: Disable Palette because of Segfault.
- Internal Changes: Format Sourcecode, Header "lxdvdrip.h".
- Bugfix: Segfault using dvdbackup.
- Bugfix: Segfault-Array dimension.
- Patch for dvdvob.c / dvdauthor 0.6.11.
- ISO-Image (/tmp/dvdrip.img) instead of burning through Parameter "-bp=4" 
  or "brennprogramm=" in Configfile.

Version 1.41 / 04.12.04:
- Bugfix: Set Name of Pipe for transcode parallel / mpeg Audio changed.
- Transcode (parallel): Convert pcm/mpeg1-Audio to mpeg2-Audio.
- New Parameter "transcode_name" in Configfile.
- Patch dvdvob.c for dvdauthor 2773 alpha.
- Change Copy Mode: Create DVD Structure with the XML-File from dvdunauthor.
- Patch from jj for Copymode applied.

Version 1.40 / 14.11.04:
- Integration of dvdwizard. The Backup gets a light Menu
  with Buttons to Start the Title and a Chapteroverview. You must install 
  the dvdwizard Version 0.42 (see README.dvdwizard.EN) 
  and 2 Pictures for Menu-Background.
- Transcode/dts Audio is now working. You need transcode 0.6.13 and a
  Patch from Subdir "transcode". See README in Subdir "transcode".
- Call "vlc" as Preview Player with DVD Structure.
- partcopy Mode: Mark all Titles with "ta".
- Patch to access ISO-Files instead a DVD-Device bigger than 8 GB (from "voidmain").
- Change Default Values of some Parameters in Configfile:
  - "dvdcompat=1" (before 0).
- New Option "file=" in Configfile, before only at Commandline. The Result of
  the Backup is a File with the movie in the Temp-Dir. Name of File i. E.
  "/tmp/DVD_NAME.vob".
- lpcm ever as pcm-Audio to dvdauthor.
- dvdwizard with multilingual Menu (see Subdir dvdwizard and README.dvdwizard).
- (part)copy: Name of Titles could be changed.

Version 1.31 / 15.10.04:
- Change Default Values of some Parameters in Configfile:
  - "videoformat=1" (before 0).
  - "audio-default=1" (ac3 5.1) (before 0).
  - Parameter "spuunmux_name" corrected.
- Input of Tracknumbers more failure tolerant.  

Version 1.30 / 09.10.04:
- High Quality Backup: Copy Main Title from one DVD-9 to two DVD-5. 
  With "-hq=1" copy the first Part (Chapter 1-mid) of the DVD, 
  with "-hq=2" the second Part (Chapter mid+1-last Chapter).
  lxdvdrip calculates the Separation in Part 1/2 self.
- Mode "partcopy": Calculate and show Playtime of the Titles with "mpgtx".
  You have to use a patched Version of mpgtx, see Subdir "mpgtx", as Binary
  or Source. In the Configfile there is the new Option "mpgtx_name".
- In the Copy- and Partcopymode call dvdauthor wihout Chapter-List,
  if Chapters are off (-chap=0).
- Bugfix: Protection against Bufferoverflows by Keyboard Input.
- Test for Files "VIDEO_TS/VIDEO_TS.BUP" and "VIDEO_TS/VIDEO_TS.IFO" before 
  burning. If Files are not there, cancel lxdvdrip, because DVD-Structure 
  isn't complete.
- In the Modes "copy" and "partcopy" call dvdauthor with Languages of Audio-
  and Subpicturestreams and Videoformat optional.
- Use of $PATH- and $HOME-Variable: Protection against Bufferoverflows.
  
Version 1.20 / 16.09.04:
- Copy more than one Title from a DVD (partial Copy, lxdvdrip -st=partcopy). 
  Like the Copy-Mode dvdunauthor und vamps are required. For every Title all 
  Audio- and Subpicturetracks are copied. Single Titles could be manually 
  selected and previewed.
- README: Remarks to patch dvdauthor and vamps.
- All needed Files to make vamps in Subdir "vamps".
- Burning Speed as Commandlineparameter (lxdvdrip -sp=...).
- In the Copymode / DVDs > 4.7 GB keep Titlesets (before every Title
  was a new Titleset).
- Additional Parameter for VOB-Player (Preview) in Configfile 
  (vob_param="..."). I. E. for Output Destination/Driver using mplayer.  
- Wait for End of spuunmux changed to fork/wait (internal Change).
- Mplayer as Streamtool: Read Subpictures with mplayer instead of
  tccat.
- Handling of Subpictures with Transcode parallel changed:
  Wait for end of mplex/spuunmux instead of wait 20 seconds.
- By Preview with mplayer always play the last ripped DVD-Title.
- Warning, if there are Files in the Temp-Dir before Ripping.
  Delete these Files optionally.
- Bugfix: Call of dvdauthor for mplayer/transcode serial as
  Streamtool. Error Message at mplayer-Preview: "invalid chapter" 
  (DVD with 2 titles).
- Additionell Parameters for cdrecord-prodvd/growisofs in Config-File.
  (burn_param=...). I. E. you can setup the Burning-Mode "-tao".
  Parameterlist see "cdrecord-prodvd -help" or "man growisofs".
- Default Audio and Subpicture-Selection: If no track in selected Language
  available, switch to manual Selection List.
  
Version 1.10 / 12.08.04:
- Select title from List (lxdvdrip -t=l).
- Bugfix: Calculation of free Disk Space.
- Read Chaperlist with tcprobe (lxdvdrip -chap=2).
- spu(un)mux Calls corrected.
- New chapter in README: Write all Output and Messages to a Logfile.
- Internal Changes: sprintf-Calls changed.
- VOB-Player ogle, mplayer, xine: Start preview against DVD-Structure,
  not the VOB-Files direct ("mplayer -dvd-device /tmp/.. dvd://1"
  instead of "mplayer *VOB").
- Format of Starttime / 1. Chapter changed (0 => 00:00:00.000).
- Hints to compile and start und FreeBSD (doc-pak/freebsd.doc/Makefile.freebsd).
- Subpictures with streamdvd disabled.
- Subpictures will be stored while Ripping in lxdvdrip tmp-Dir (tmp=...).
- If Config-Files not available, Warnings in 3 languages. Thanks at Jean Luc
  Damnet for translation.
- Start mkisofs with Volume-ID / Label.
- New Parameter "mkisofs_param=" in lxdvdrip.conf. With this Parameter
  you can pass Settings to mkisofs i. E. like "-input-charset ...", if you
  get Warnings about the detected Charset.
  
Version 1.06 / 15.06.04:
- ~/.lxdvdrip.conf possible as Parameterfile.
- Testrip transcode into lxdvdrip tmp-Dir (tmp=...).

Version 1.05 / 28.05.04:
- Calculation of Factor optimized by Testrip with Transcode (lxdvdrip -f=-1)

Version 1.04 / 09.05.04:
- Call dvdauthor with -v pal/ntsc+16:9/4:3+resolution 
  (lxdvdrip -vf=1, "videoformat=" in Config).
  
Version 1.03 / 05.05.05:
- README / Changelog / Configfiles now in Subdir doc-pak, RPM-Package 
  is now with all Docs and Configfiles.
- French Version (Jean-Luc Damnet).
     
Version 1.02 / 29.04.04:
- Help (lxdvdrip -h) readable formatted.
- Bugfix: Reading DVD Structure from Harddisc now possible again.

Version 1.01 / 16.04.04:
- By using transcode Methods lxdvdrip now uses mplayer to extract dts-Audio,
  transcode doesnt know dts.
- mplayer now with all Audiotracks in dts, mpeg, ac3 and lpcm.
  
Version 1.00 / 08.04.04:
- Subpictures using transcode/mplayer now with spuunmux from dvdauthor >= 0.6.10,
  with Palette.
- Commandline Parameterr "-sc=" for subtitle2pgm-Palette deleted.
- Parameter in Config: "subtitle2pgm=" deleted, "spuunmux=" new.
- Subpictures now with transcode parallel, too. Optimized: "dvdauthor -f spumux".
- 2. Subpicture Track selectable with "-u=l".
- Eject DVD after Ripping. New Parameters "eject=" and "eject_name="
  in Config.
- DVD RW format before burning. New Parameters "rw-format=" and 
  "dvd+rw-format=" in Config. Could be set on (1) / off (0) with 
  "-format=" on the Fly.
- In Copymode no call of vamps, if Factor smaller than 1.

Version 0.91 / 22.03.04:
- Bugfix: Setting Label with "-lab=...".
- Bugfix: Call dvdbackup with "-n".

Version 0.90 / 16.03.04:
- Parameter "-st=dvdbackup" replaced by "-st=copy".
- Copymode: DVD smaller than 4.7 GB will be copied 1:1 using
  dvdbackup. If greater than 4.7 GB, dvdunauthor/dvdauthor/vamps
  is used. By the last Method Menus are lost, but all Video-, Audio-,
  Subpicturetracks and Chapters are copied.
- New Parameters "tcprobe_name=", "vamps_name=" and "dvdunauthor="
  in Configfile.
- lpcm und mpeg Audio now with streamdvd, too.
- dvdbackup: Create Directoty AUDIO_TS with "mkdir".
- Patch from S. Lichtenhagen (English Messages, Call growisofs).
- New Parameter "-sc=" for Call of subtitle2pgm with these Colors.
- mpeg-Audio: mpeg2 now with transcode, too.
- streamanalyze/dvd: Fix for Audio-Stream-IDs.
- streamanalyze (see streamdvd Homepage) integrated for automatic Factor
  Calculation. Program Name in Config: "streamanalyze=". Activation with
  "-f=-2", Testrip with Transcode "-f=-1".
- New Parameter "dvdcompat=1" in Configfile (with "1" lxdvdrip starts
  "growisofs -dvd-compat ..." (see "man growisofs").
- Parameter "speed=" now for growisofs, too.
- lpcm-Audiotracks with Transcode (parallel).
- mpeg1 Audio now with Transcode parallel, too.
- Calculation of free Disk Space: Show Result.

Version 0.80 / 02.03.04:
- Fixes for gcc 2.95.
- mpeg1 Audio Streams now with transcode possible.
- Handling of temporary Files corrected.
- Subpictures now selectable with short Name for Language, 
  i. E. "-u=de".
- New Parameters in Config: All used Programs could be listed
  with full Path.
- Test, if the needed Programs are installed.  
- Bugfix: Selection of streamtool at Commandline now correct.
- Makefile changed: Copy Configfile to /etc, if not exists. Else Remark
  to control Settings.
- Method "vamps" deleted, because there is no more development of this
  Product (-st=vamps). 
- Testrip (-f=-1) now with tccat/tcextract instead of vamps.
- Parameter  "-cbr=" deleted because of new Methode Transcode Parallel.
- New Method "Transcode parallel" (-st=trans_par): All Processes
  from Read DVD, Requant, mplex and dvdauthor are running parallel,
  so this is a very fast Method. But Subpictures are not 
  possible. For this Method you need the "buffer"-Package:
  http://rpmfind.net/linux/RPM/contrib/libc6/i386/buffer-1.19-1.i386.html.
- Reading of DVD Subpictures: "spuunmux" isnt used any more, now
  lxdvdrip uses "subtitle2pgm" from the "subtitleripper"-Package
  because of better Performace.
  (http://sourceforge.net/projects/subtitleripper)

Version 0.72 / 22.02.04:
- New Parameter "-file=filename": Instead of dvdauthor/growisofs you 
  get the Ouput in a file "filename".
  
Version 0.71 / 22.02.04:
- mplayer/transcode: More Performance with "dvdauthor ... -f 'mplex ...|'"
  (instead of mplex / dvdauthor serial called).
- Bugfix: Setting tcmplex with "-mp=tcmplex" in Command Line.
- New Parameter "-cbr=1": lxdvdrip takes the dvd as a cbr-coded without test.
  Parameter is used with transcode. Set "-cbr=0" to use the DVD as one
  with variable Bitrate coded.
- Ripped Files by using mplayer/transcode will not be deleted, if dvdauthor 
  gives an Error.
- Bugfix: Last Chapter not inclued in Chapterstring, because that included
  the Start and not the End of each Chapter.
- vamps: If dvdunathor not found, use tccat.
    
Version 0.70 / 21.02.04:
- Transcode Method now with parallel Pipes for Video&Audio, so that
  lxdvdrip has only one Pass to read. But thats only for DVDs with Constant
  Bitrate, all others in 2 Pass Mode like the versions before.
- Bugfix: "mplex" call now with Parameter "-S 0". The version before the
  multiplexed VOB was max. 2 GB.
- For better quality the Palette of DVD will be read and dvdauthor is
  called with the Palette file (dvdauthor -p palette.txt). 
- Now you can rip Subtitles with mplayer/transcode, too. lxdvdrip uses
  spuunmux/spumux from dvdauthor-Package, at the moment this solution 
  is very slow. To read Subpictures mplayer must be installed.
- Option "-a=5"  changed to "-a=l" for List, same in Config for "audio=".
- New Option "-u=l" for a list of Subpicture-Tracks and input the Nr.
- Showing Error, if with mplayer other Audiotrack than ac3 selected.
- If DVD is smaller than 4,7 GB, lxdvdrip asks you to use dvdbackup to
  read the DVD. This will backup all Features of the DVD,
- Transcode-Method: Now all Audio Codecs possible (Transcode 0.6.13 needed).
- Patches for dvdauthor changed to dvdauthor-893.
- Bugfix: dvdauthor with unknown language of Audiotracks.
- Bugfix: mplex Call with transcode and Audio-Method "-a=l" fixed.

Version 0.62 / 15.02.04:
- Delete Files at Program-End only if burning was correct.
- New Parameters for cdrecord-prodvd:
  "speed=" for Burning Speed.
  "burnkey=" Key for the whole functionality.
  Both Keys only in Configfile.
- cdrecord-prodvd now on the fly (-bp=3).  

Version 0.61 / 14.02.04:
- If "dvdauthor -T" fails, a new Authorisation should be tried.
- Check for VIDEO_TS, if not found, use video_ts as Name of Ripdir.

Version 0.60 / 13.02.04:
- dvdbackup as Streamtool (-st=dvdbackup) to backup
  your own 4,7 GB DVDs
- Test for free Disk Space could be turned off (-free=0)
- Free Selection of Audiotracks (-a=5). Audiotracks will be listed, you can
  input the Track-Nr.
    
Version 0.50 / 12.02.04:
- Ripping with mplayer or transcode now with german and english
  Audiotrack combined (-a=3)
- Rip with vamps: Reading DVD now with dvdunauthor instead of
  tccat, Stream has better Quality
- "dvdvob.c" vom dvdauthor (876 Alpha) Source patched, now no Canceling
  when Error "SCR moves backwards" occurs
  
Version 0.42 / 10.02.04:
- Self calculated Factor with 2 % Reserve
- Audiobitrate for AC3 / 2 Channel corrected to 128 KBPS
- Language of Subpicture: Call dvdauthor with "-s"

Version 0.41 / 09.02.04:
- mplayer/transcode: If factor=1, no tcrequant
- Automatic Read of DVD Name (Label, Volume-ID), call of growisofs / misofs 
  with "-V", Name could be overwritten by Call "lxdvdrip -lab=xxx"
- Chapter Separation could by disabled (-chap=0)
  New Version from Config File (0.41) (Option "chapter=1")
    
Version 0.40 / 08.02.04:
- Rip with Chapter Separation

Version 0.35 / 06.02.04:
- Calculate Free Disc Space, Test, if enough for DVD Backup

Version 0.34 / 03.02.04:
- Ripping with mplayer: set DVD-Reader correct

Version 0.33 / 01.02.04:
- At Program-End the Base Rip-Directory will be deleted, too (if "delete=1"
  in the Config File)
- "make install" doesnt now copy "lxdvdrip.conf" to "/etc", so there
  your own Settings will no more been overwritten

Version 0.32 / 01.02.04:
- New Option -v / --version shows Version from lxdvdrip
- Version for Configfile, too
- Delete als Standard ausgeschaltet

Version 0.31 / 31.01.04:
- Config File with Comments (look for lxdvdrip.conf.EN)

Version 0.30 / 31.01.04:
- transcode as Streamtool (-st=transcode)
- Call of streamtool in README documented

Version 0.21 / 28.01.04:
- READMEs enhanced (Remarks to Devices for DVD Reader and Burner)
- Compiler Warnings fixed
- Correction of Video Size by using Vamps to calculate Factor
- Hide some Messages with Infos to DVD tracks (show them with -debug=1)

Version 0.20 / 25.01.2004:
- New Parameter "-d=1", after burning DVD the VOB-Files will be deleted. 
- New Parameter "-mp=mplex" selects for the traditional Way with mplayer
  to "mplex" as Multiplexer, Default is "tcmplex". This is a tip from a
  Newsgroup, where Problems with tcmplex are reported.
- Showing Help now in two pages, after Page 1 press Enter for Page 2.
- Parameter "-a=" with a new value to rip other Audiotrack than english or german.
  I. E. "-a=4,fr" selects the French Audiotrack. Infos about the Audio Tracks
  are available through "lsdvd -t 1 -a" for Title 1 from a DVD.

Version 0.10 / 24.01.2004: First Release
